Bug 680985 - ncmpc: Update to latest release 0.18
ncmpc: Update to latest release 0.18
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ncmpc (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On: 631331
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-28 12:24 EST by Ankur Sinha (FranciscoD)
Modified: 2011-03-12 23:41 EST (History)
1 user (show)

See Also:
Fixed In Version: ncmpc-0.18-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-12 23:41:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2011-02-28 12:24:45 EST
Description of problem:
I see from the spec that the package isn't built with lyrics support. Can this be done please?

SPEC:  
36 %configure --enable-wide --enable-nls --enable-colors --enable-lirc \
37   --enable-artist-screen --with-ncursesw

http://www.use-strict.de/articles/Using-ncmpc-to-fetch-and-read-lyrics.html

Version-Release number of selected component (if applicable):
[ankur@ankur ~]$ rpm -q ncmpc
ncmpc-0.14-2.fc12.x86_64

I use the app and can help co-maintain if you want. 



Thanks,
regards,
Ankur
Comment 1 Ankur Sinha (FranciscoD) 2011-02-28 12:32:00 EST
Hello,

The package also needs an update. The latest release appears to be 0.18

http://mpd.wikia.com/wiki/Client:Ncmpc

http://downloads.sourceforge.net/musicpd/ncmpc-0.18.tar.bz2

The version in repos is still 0.14

Thanks,
Ankur
Comment 2 Andreas Bierfert 2011-03-02 00:54:53 EST
I will upgrade for rawhide and f15 for now. Lyrics support is disabled for various security concerns and will stay disabled.
Comment 3 Ankur Sinha (FranciscoD) 2011-03-02 06:01:07 EST
(In reply to comment #2)
> I will upgrade for rawhide and f15 for now. Lyrics support is disabled for
> various security concerns and will stay disabled.

Hi Andreas,

Thanks. Can you please list out the security concerns? I'd like to see if something can be done about them, or maybe request upstream to have a look?

Regards,
Ankur
Comment 4 Fedora Update System 2011-03-02 09:20:59 EST
Package libmpdclient-2.4-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmpdclient-2.4-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/libmpdclient-2.4-1.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-03-02 21:49:12 EST
ncmpc-0.18-1.fc15, libmpdclient-2.4-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ncmpc libmpdclient'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ncmpc-0.18-1.fc15,libmpdclient-2.4-1.fc15
Comment 6 Fedora Update System 2011-03-12 23:41:39 EST
ncmpc-0.18-1.fc15, libmpdclient-2.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.